/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache.pojo;

/**
 * Generic PojoCacheException.
 *
 * @author Ben Wang
 * @version $Id: PojoCacheException.java 6110 2008-06-27 22:06:51Z jason.greene@jboss.com $
 */
public class PojoCacheException extends RuntimeException
{
   /** The serialVersionUID */
   private static final long serialVersionUID = -2879024229641921582L;

   public PojoCacheException()
   {
      super();
   }

   public PojoCacheException(String err, Throwable e)
   {
      super(err, e);
   }

   public PojoCacheException(String err)
   {
      super(err);
   }

   public PojoCacheException(Throwable e)
   {
      super(e);
   }
}
